// ChildView.h : interface of the CChildView class
//


#pragma once


// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:
	BOOL m_bDrawMode; //  ׸  Ǵ  Ѵ.
	CPoint m_ptStart, m_ptEnd; //     Ѵ.
	enum {LINE, RECTANGLE, ELLIPSE} m_nShapeMode; //  drawing shape Ǵ  Ѵ.
	COLORREF m_Color;  //
	int m_nThickness;

// Operations
public:

// Overrides
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CChildView();

	// Generated message map functions
protected:
	afx_msg void OnPaint();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnShapeLine();
	afx_msg void OnShapeRectangle();
	afx_msg void OnShapeEllipse();
	afx_msg void OnColorRed();
	afx_msg void OnColorGreen();
	afx_msg void OnColorBlue();
	afx_msg void OnColorYellow();
	afx_msg void OnColorPurple();
	afx_msg void OnColorCyan();
	afx_msg void OnThickness1();
	afx_msg void OnThickness2();
	afx_msg void OnThickness3();
	afx_msg void OnThickness4();
	afx_msg void OnThickness5();
	afx_msg void OnUpdateShapeLine(CCmdUI *pCmdUI);
	afx_msg void OnUpdateShapeRectangle(CCmdUI *pCmdUI);
	afx_msg void OnUpdateShapeEllipse(CCmdUI *pCmdUI);
	afx_msg void OnDrawingColor();
	afx_msg void OnDrawingThickness();
};

